
Katello - Bug #5026

content views: package group filter: List/Remove contents appears incorrect

04/02/2014 02:05 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1094176 Red Hat JIRA:  
Description

Scenario:

1. Create/Sync 2 repos with the same package group (e.g. zoo repo contains mammals and birds)

2. Create a content view

3. Associate both of the above repos with the content view

4. Create a package group filter

5. Observe Add list will show all package groups available; however, none will be repeated.

6. Add a package group to the filter (e.g. birds)

7. Go to List/Remove to see what was added to the filter

8. Observe that the package group is listed twice (once for each of the above repos)

There are multiple ways that we could address this.  A couple of options are:

1. Update List/Remove to not show duplicates

2. Update the package group filtering so that rather than add package groups by 'name' alone, the user selects them by 'name' &

'repo'.  Since the same group could exist in 2 repos and the definition of that group may be different in each, this may be the better

solution as the user will know exactly which one they are selecting; however, it is the more complicated solution since it involves

schema and potentially changing the flow in the UI.

Associated revisions

Revision 7ee7aa28 - 06/11/2014 07:09 PM - Brad Buckingham

fixes #5026 / BZ 1094176 - content view package group filter - handle duplicate group names across repos

The current logic for package group filters does not properly handle the

case where a content view has multiple repositories with the same or overlapping

package groups (e.g. 2 repos w/ package group named X).  The issue is that

the package group selection is based upon name; however, it needs to be more

specific than that.

This commit updates the package group filtering to not identify the group

by name, but instead by the pulp id/uuid for the group.  This way when

a user selects a group, they are choosing a specific one from a specific

product/repo.

The following are high-level changes introduced with this commit:

1. add uuid to the content_view_package_group_filter_rule

2. update the API and UI to show the product and repo name that

each package group is associated with

3. update API and UI to behave correctly when a user adds/removes

package groups from a filter

4. update the publishing logic to utilize the package group uuid

when applying the filter

Revision aa5e8e1b - 06/11/2014 11:09 PM - Brad Buckingham

fixes #5026 / BZ 1094176 - content view package group filter - handle duplicate group names across repos

The current logic for package group filters does not properly handle the
case where a content view has multiple repositories with the same or overlapping

package groups (e.g. 2 repos w/ package group named X).  The issue is that

the package group selection is based upon name; however, it needs to be more

specific than that.

This commit updates the package group filtering to not identify the group

by name, but instead by the pulp id/uuid for the group.  This way when

a user selects a group, they are choosing a specific one from a specific

product/repo.

The following are high-level changes introduced with this commit:

1. add uuid to the content_view_package_group_filter_rule

2. update the API and UI to show the product and repo name that

each package group is associated with

3. update API and UI to behave correctly when a user adds/removes

package groups from a filter

4. update the publishing logic to utilize the package group uuid

when applying the filter

Revision fab37bc8 - 06/16/2014 04:44 PM - Brad Buckingham

Merge pull request #4248 from bbuckingham/issue-5026

fixes #5026 / BZ 1094176 - content view package group filter - handle duplicate group names across repos

Revision 5d366eb1 - 06/16/2014 08:44 PM - Brad Buckingham

Merge pull request #4248 from bbuckingham/issue-5026

fixes #5026 / BZ 1094176 - content view package group filter - handle duplicate group names across repos

History

#1 - 04/02/2014 03:32 PM - Justin Sherrill

I kinda like 2)

#2 - 04/25/2014 12:03 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 05/16/2014 02:49 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#4 - 06/05/2014 03:44 AM - Eric Helms

- Target version set to 45

#5 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#6 - 06/16/2014 08:53 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:aa5e8e1bdb6033f799a396150c8236edf5308ee8.

#7 - 06/24/2014 03:53 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1094176
